
QGIS Application - Bug report #11453

Crash when zooming in too far with MSSQL spatial layer 

2014-10-20 06:08 AM - Darren Cope

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19729

Description

I have added an MSSQL Spatial Layer (line). when I zoom in 'too far', QGIS will crash, giving a .dmp file (attached). The 'too far' seems to

vary based on having other layers in the project, and/or if the layer is editable or if nodes are highlighted.

I did a search of QGIS issues, and couldn't find anything related, but may have missed it. Any thoughts?

History

#1 - 2014-10-20 06:12 AM - Darren Cope

- File CrashDump.zip added

#2 - 2014-10-20 06:38 AM - Giovanni Manghi

- Category set to Data Provider/MSSQL

- Status changed from Open to Feedback

It is ok on 2.4 or older?

#3 - 2014-10-20 06:57 AM - Darren Cope

I just tried on 2.4, and the problem does occur there as well. It does not seem to happen in 2.1 or 1.9.

#4 - 2014-10-20 07:20 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

Darren Cope wrote:

It does not seem to happen in 2.1 or 1.9.

and 

2.0.1 or 2.2 (the stable releases)?

#5 - 2014-10-20 08:06 AM - Darren Cope

I had to install 2.0.1 and 2.2.0 from the stand alone installers as I didn't have them on this computer. I tested in both, and it appears to work fine.
#6 - 2014-10-20 10:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2014-10-22 02:14 AM - Jürgen Fischer

- Subject changed from  QGIS 2.5.0-Master Crashing When Zooming in too far with MSSQL Spatial Layer  to Crash when zooming in too far with 

MSSQL spatial layer 

- Operating System set to Windows

#8 - 2014-10-25 07:07 PM - Nathan Woodrow

- Status changed from Open to Feedback

Can you try a newer build. I fixed a bug that might be related to this a week or so ago.

#9 - 2014-10-27 06:17 AM - Darren Cope

Nathan; the problem still seems to occur after running an OSGEO4W update this morning.

#10 - 2014-11-03 03:36 PM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2015-02-19 03:26 AM - Martin Dobias

- Status changed from Open to Feedback

This may have been fixed with commit:b48e7fd3 - could you please test again?

#12 - 2015-05-10 01:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Martin Dobias wrote:

This may have been fixed with commit:b48e7fd3 - could you please test again?

closing for the lack of feedback, please reopen if necessary.

#13 - 2015-05-10 01:17 AM - Giovanni Manghi

- Status changed from Feedback to Closed

Files

CrashDump.zip 4.27 MB 2014-10-20 Darren Cope
